%define majver %(echo %version | cut -d. -f1-2)
Name:          openmpi
Version:       1.8.1
Release:       1mamba
Summary:       A High Performance Message Passing Library
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.open-mpi.org/
Source:        http://www.open-mpi.org/software/ompi/v%{majver}/downloads/openmpi-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: gcc-fortran
BuildRequires: glibc-devel
BuildRequires: libesmtp-devel
BuildRequires: libgcc
BuildRequires: libgomp-devel
BuildRequires: libopenssl-devel
%ifnarch arm
BuildRequires: libquadmath-devel
%endif
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: jpackage-utils
Requires:      libmpi = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Open MPI Project is an open source MPI-2 implementation that is developed and maintained by a consortium of academic, research, and industry partners. Open MPI is therefore able to combine the expertise, technologies, and resources from all across the High Performance Computing community in order to build the best MPI library available. Open MPI offers advantages for system and software vendors, application developers and computer science researchers. 

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libmpi-devel = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The Open MPI Project is an open source MPI-2 implementation that is developed and maintained by a consortium of academic, research, and industry partners. Open MPI is therefore able to combine the expertise, technologies, and resources from all across the High Performance Computing community in order to build the best MPI library available. Open MPI offers advantages for system and software vendors, application developers and computer science researchers. 

This package contains mpi compilers.

%package -n libmpi
Summary:       A High Performance Message Passing Library
Group:         System/Libraries

%description -n libmpi
The Open MPI Project is an open source MPI-2 implementation that is developed and maintained by a consortium of academic, research, and industry partners. Open MPI is therefore able to combine the expertise, technologies, and resources from all across the High Performance Computing community in order to build the best MPI library available. Open MPI offers advantages for system and software vendors, application developers and computer science researchers. 

This package contains the project shared libraries.

%package -n libmpi-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      libmpi = %{?epoch:%epoch:}%{version}-%{release}

%description -n libmpi-devel
The Open MPI Project is an open source MPI-2 implementation that is developed and maintained by a consortium of academic, research, and industry partners. Open MPI is therefore able to combine the expertise, technologies, and resources from all across the High Performance Computing community in order to build the best MPI library available. Open MPI offers advantages for system and software vendors, application developers and computer science researchers. 

This package contains static libraries and header files need for development.

%prep
%setup -q
%ifarch arm
sed -i "s|armv5\*linux|arm*linux|" configure || exit 1
%endif

%build
%configure \
   --datarootdir=%{_datadir}/openmpi \
   --datadir=%{_datadir}/openmpi

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# not installed as of 1.4.3 but symlink otfdecompress pointing to it it is
install -D -m0755 ./ompi/contrib/vt/vt/extlib/otf/tools/otfcompress/otfcompress %{buildroot}%{_bindir}/otfcompress

# %{_bindir}/otfinfo: conflicts with texlive
mv %{buildroot}%{_bindir}/otfinfo %{buildroot}%{_bindir}/otfinfompi

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mpiexec
%{_bindir}/mpirun
%{_bindir}/ompi-clean
%{_bindir}/ompi-ps
%{_bindir}/ompi-server
%{_bindir}/ompi-top
%{_bindir}/ompi_info
%{_bindir}/opari
%{_bindir}/orte-clean
%{_bindir}/orte-info
%{_bindir}/orte-ps
%{_bindir}/orte-server
%{_bindir}/orte-top
%{_bindir}/orted
%{_bindir}/orterun
%{_bindir}/oshmem_info
%{_bindir}/oshrun
%{_bindir}/otfaux
%{_bindir}/otfcompress
%{_bindir}/otfconfig
%{_bindir}/otfdecompress
%{_bindir}/otfinfompi
%{_bindir}/otfmerge
%{_bindir}/otfmerge-mpi
%{_bindir}/otfprint
%{_bindir}/otfprofile
%{_bindir}/otfprofile-mpi
%{_bindir}/otfshrink
%{_bindir}/shmemrun
%{_mandir}/man1/mpiexec.1*
%{_mandir}/man1/mpirun.1*
%{_mandir}/man1/ompi-clean.1*
%{_mandir}/man1/ompi_info.1*
%{_mandir}/man1/ompi-ps.1*
%{_mandir}/man1/ompi-server.1*
%{_mandir}/man1/orte-clean.1*
%{_mandir}/man1/orted.1*
%{_mandir}/man1/orte-ps.1*
%{_mandir}/man1/ompi-top.1*
%{_mandir}/man1/orte-top.1*
%{_mandir}/man1/orterun.1*
%{_mandir}/man7/ompi_crcp.7*
%{_mandir}/man7/opal_crs.7*
%{_mandir}/man7/orte_filem.7*
%{_mandir}/man7/orte_hosts.7*
%{_mandir}/man7/orte_snapc.7*
%doc AUTHORS LICENSE

%files devel
%defattr(-,root,root)
%{_bindir}/mpiCC
%{_bindir}/mpiCC-vt
%{_bindir}/mpic++
%{_bindir}/mpic++-vt
%{_bindir}/mpicc
%{_bindir}/mpicc-vt
%{_bindir}/mpicxx
%{_bindir}/mpicxx-vt
%{_bindir}/mpif77
%{_bindir}/mpif77-vt
%{_bindir}/mpif90
%{_bindir}/mpif90-vt
%{_bindir}/mpifort
%{_bindir}/mpifort-vt
%{_bindir}/opal_wrapper
%{_bindir}/ortecc
%{_bindir}/oshcc
%{_bindir}/oshfort
%{_bindir}/shmemcc
%{_bindir}/shmemfort
%{_bindir}/vtCC
%{_bindir}/vtc++
%{_bindir}/vtcc
%{_bindir}/vtcxx
%{_bindir}/vtf77
%{_bindir}/vtf90
%{_bindir}/vtfilter
%{_bindir}/vtfilter-mpi
%{_bindir}/vtfiltergen
%{_bindir}/vtfiltergen-mpi
%{_bindir}/vtfort
%{_bindir}/vtjava
%{_bindir}/vtrun
%{_bindir}/vtsetup
%{_bindir}/vtsetup.jar
%{_bindir}/vtunify
%{_bindir}/vtunify-mpi
%{_bindir}/vtwrapper
%{_mandir}/man1/mpic++.1*
%{_mandir}/man1/mpicc.1*
%{_mandir}/man1/mpiCC.1*
%{_mandir}/man1/mpicxx.1*
%{_mandir}/man1/mpif77.1*
%{_mandir}/man1/mpif90.1*
%{_mandir}/man1/mpifort.1.gz
%{_mandir}/man1/opal_wrapper.1*
%{_mandir}/man1/orte-info.1*
%{_mandir}/man1/orte-server.1*
%{_mandir}/man1/oshmem_info.1*
%{_mandir}/man7/orte_sstore.7*

%files -n libmpi
%defattr(-,root,root)
%config %{_sysconfdir}/openmpi-default-hostfile
%config %{_sysconfdir}/openmpi-mca-params.conf
%config %{_sysconfdir}/openmpi-totalview.tcl
%config %{_sysconfdir}/vt-java-default-filter.spec
%config %{_sysconfdir}/vtsetup-config.dtd
%config %{_sysconfdir}/vtsetup-config.xml
%{_libdir}/mpi.mod
%{_libdir}/libompitrace.so.*
%{_libdir}/libotfaux.so.*
%{_libdir}/libvt-hyb.so.*
%{_libdir}/libvt-java.so.*
%{_libdir}/libvt-mpi-unify.so.*
%{_libdir}/libvt-mpi.so.*
%{_libdir}/libvt-mt.so.*
%{_libdir}/libvt.so.*
%{_libdir}/libmca*.so.*
%{_libdir}/libmpi*.so.*
%{_libdir}/libopen*.so.*
%{_libdir}/liboshmem.so.*
%{_libdir}/openmpi/mca_*.la
%{_libdir}/openmpi/mca_*.so
%{_libdir}/openmpi/libompi_*.la
%{_libdir}/openmpi/libompi_*.so
%dir %{_datadir}/openmpi
%{_datadir}/openmpi/*

%files -n libmpi-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_includedir}/shmem.fh
%dir %{_includedir}/openmpi
%{_includedir}/openmpi/*
%dir %{_includedir}/vampirtrace
%{_includedir}/vampirtrace/*.inc
%{_includedir}/vampirtrace/*.h
%dir %{_includedir}/vampirtrace/open-trace-format
%dir %{_includedir}/vampirtrace/open-trace-format/*.h
%dir %{_includedir}/mpp
%{_includedir}/mpp/shmem.fh
%{_includedir}/mpp/shmem.h
%{_libdir}/libmca*.la
%{_libdir}/libmca*.so
%{_libdir}/libmpi*.la
%{_libdir}/libmpi*.so
%{_libdir}/libopen*.la
%{_libdir}/libopen*.so
%{_libdir}/libopen-trace-format.a
%{_libdir}/liboshmem.la
%{_libdir}/liboshmem.so
%{_libdir}/libvt.a
%{_libdir}/libompitrace.la
%{_libdir}/libompitrace.so
%{_libdir}/libotfaux.a
%{_libdir}/libotfaux.la
%{_libdir}/libotfaux.so
%{_libdir}/libvt-hyb.a
%{_libdir}/libvt-hyb.la
%{_libdir}/libvt-hyb.so
%{_libdir}/libvt-java.la
%{_libdir}/libvt-java.so
%{_libdir}/libvt-mpi-unify.a
%{_libdir}/libvt-mpi-unify.la
%{_libdir}/libvt-mpi-unify.so
%{_libdir}/libvt-mpi.a
%{_libdir}/libvt-mpi.la
%{_libdir}/libvt-mpi.so
%{_libdir}/libvt-mt.a
%{_libdir}/libvt-mt.la
%{_libdir}/libvt-mt.so
%{_libdir}/libvt-pomp.a
%{_libdir}/libvt-pomp.la
%{_libdir}/libvt.la
%{_libdir}/libvt.so
%{_libdir}/pkgconfig/ompi-c.pc
%{_libdir}/pkgconfig/ompi-cxx.pc
%{_libdir}/pkgconfig/ompi-f77.pc
%{_libdir}/pkgconfig/ompi-f90.pc
%{_libdir}/pkgconfig/ompi-fort.pc
%{_libdir}/pkgconfig/ompi.pc
%{_libdir}/pkgconfig/orte.pc
%{_mandir}/man3/OpenMPI*.3*
%{_mandir}/man3/MPI*.3*
%doc NEWS README

%changelog
* Fri Apr 25 2014 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Sun Apr 13 2014 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic version update by autodist

* Fri Nov 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.5-4mamba
- rebuild after previous release was built with buggy rpm

* Thu Nov 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.5-3mamba
- move compilers to openmpi-devel new subpackage

* Thu Jul 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.5-2mamba
- rename %{_bindir}/otfinfo to %{_bindir}/otfinfompi to resolve a conflict with texlive

* Sun Jun 30 2013 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic version update by autodist

* Sat Feb 23 2013 Automatic Build System <autodist@mambasoft.it> 1.6.4-1mamba
- automatic version update by autodist

* Wed Nov 07 2012 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Mon Oct 08 2012 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Fri Oct 28 2011 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Wed Dec 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3-1mamba
- update to 1.4.3

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic update by autodist

* Sat Jun 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-1mamba
- package created by autospec
